Subject: [IPsec] ikev2bis issue #182: Marking CP() as optional in early sections

From: Tero Kivinen <[email-masked]>
Date: Thu, 1 Apr 2010 15:16:00 +0300

Paul Hoffman writes:
> Sean Turner asks: Sec 1.2/2.19: Shouldn't "[CP()]" be in message 3
> and 4 in Section 1.2? 

I do not think so. The 1.2 section covers basic exchange. The special
cases like Cookies (2.6), EAP (2.16), Configuration payloads (2.19),
and NAT-T (2.23) have their own sections, and does not need to be
covered by the basic exchange. 
-- 
[email-masked]